# Class CommitsController < ProjectResourceController

- app/controllers/commits_controller.rb

Methods

S
  - show

Included Modules

- ExtractsPath

Instance Public methods
show() Link

Source: show

    # File app/controllers/commits_controller.rb, line 11
    def show
      @repo = @project.repo
      @limit, @offset = (params[:limit] || 40), (params[:offset] || 0)

      @commits = @project.commits(@ref, @path, @limit, @offset)
      @commits = CommitDecorator.decorate(@commits)

      respond_to do |format|
        format.html # index.html.erb
        format.js
        format.atom { render layout: false }
      end
    end